Jump to content

Photo

Printer support package


  • Please log in to reply
12 replies to this topic

#1 banjoman

banjoman

    Member

  • Members
  • 12 posts

Posted 09 March 2017 - 09:57 PM

I cannot get my Canon printer drivers to initialize (they are successfully working on my Mint laptop). I don't think that the Printer support software from the Appcentre is installed properly. Although I get a success message, the terminal reports that dependencies are not met - try sudo apt-get -f install. I cannot find any Printer control window in the Applications menu anywhere.

 

When I try this I get a message that I may be attempting something harmful, type 'Yes, do as I say!' to continue. I have tried this several times but the process just aborts.

 

Any advice here please.......?





A big thank you to everyone who contributes to Bodhi Linux


#2 BeGo

BeGo

    Member

  • Members
  • 128 posts
  • LocationBogor, Indonesia

Posted 10 March 2017 - 02:15 AM

printer-driver-all meta package usually enough to handle "stubborn" printer. :)

 

Could You give the printer series name?



#3 Jeff

Jeff

    Lead Developer

  • Developer
  • 12402 posts
  • LocationBloomington, IL

Posted 10 March 2017 - 04:52 AM

Can you please post the output of the command:

 

sudo apt-get -f install

 

If that is warning that things aren't right then something is messed up with your package state and nothing is going to install for you. Have you added any third party repositories / PPAs to your system?



#4 DOOMguy

DOOMguy

    Member

  • Members
  • 121 posts

Posted 10 March 2017 - 01:35 PM

There is this forum thread


Unsolicited advice for learning linux, that won't cost you anything


#5 Oblio

Oblio

    Bodhi Team

  • Team
  • 165 posts
  • LocationA desk in the Midwest

Posted 10 March 2017 - 02:36 PM

I have had success in using CUPs with several different printers (photo, wireless and otherwise) in Bodhi...not sure if that is an option. 

 

CUPS is fairly straightforward, which is nice.  Possibly a fallback, in case...


Xeon E3-1220 v3 3.1GHz Quad, ASRock Rack E3C224, 2x 8GB Kingston KVR16E11/8I DDR3-1600 ECC CL11 Intel Chips (Dual Channel), EVGA GeForce GTX 570, Samsung SM863 120GB OS SSD, 2x WD RED 3TB HDDs (Raid 0), Focusrite Scarlett 2i4, Antec Earthwatts EA-750 80 Plus Platinum 750w PSU - Bodhi 4.1.0 64

AMD Phenom II X4 940 3.0GHz Quad, Gigabyte GA-MA78GPM-DS2H, 2x 2GB Kingston KHX8500D2K2 DDR2-1066 (Dual Channel), EVGA GeForce GTX 570, Intel 30GB OS SDD, Seagate ST31000340AS 1TB HDD, Seagate STBD4000400 4TB HDD, EVGA 500w Bronze Plus 80+ PSU - Bodhi Linux 3.2.1 64


#6 banjoman

banjoman

    Member

  • Members
  • 12 posts

Posted 10 March 2017 - 06:15 PM

I have not added any third party PPAs or repositories per se, but have installed Opera browser, Audacity, Dropbox from the terminal or .deb packages. The output from sudo apt-get -f install is lengthy!!

 

 

package lists... Done

Building dependency tree
Reading state information... Done
Correcting dependencies... Done
The following packages were automatically installed and are no longer required:
  accountsservice alsa-utils:amd64 archdetect-deb:amd64 bc:amd64
  bogl-bterm:amd64 command-not-found-data cryptsetup-bin default-jre:amd64
  default-jre-headless:amd64 dialog:amd64 dirmngr:amd64 dmeventd:amd64
  dnsmasq-base:amd64 ecryptfs-utils:amd64 ethtool:amd64 fuse genisoimage:amd64
  geoclue:amd64 gir1.2-atk-1.0 gir1.2-freedesktop gir1.2-freedesktop:amd64
  gir1.2-gdkpixbuf-2.0 gir1.2-gdkpixbuf-2.0:amd64 gir1.2-glib-2.0:amd64
  gir1.2-json-1.0:amd64 gir1.2-pango-1.0 gir1.2-pango-1.0:amd64
  gir1.2-soup-2.4:amd64 gnupg-agent:amd64 gnupg2:amd64
  gstreamer1.0-plugins-good:amd64 gstreamer1.0-x:amd64
  gtk2-engines-murrine:amd64 gtk2-engines-pixbuf gtk2-engines-pixbuf:amd64
  iputils-arping:amd64 libaa1:amd64 libabw-0.1-1v5:amd64 libaccountsservice0
  libaccountsservice0:amd64 libaspell15:amd64 libassuan0 libatasmart4
  libaudio2:amd64 libavc1394-0:amd64 libbasicusageenvironment1:amd64
  libbluetooth3:amd64 libbonobo2-0:amd64 libboost-date-time1.58.0:amd64
  libboost-iostreams1.58.0:amd64 libbulletcollision2.83.6:amd64
  libbulletdynamics2.83.6:amd64 libbulletsoftbody2.83.6:amd64 libcaca0:amd64
  libcanberra0:amd64 libcddb2:amd64 libcdr-0.1-1:amd64
  libclucene-contribs1v5:amd64 libclucene-core1v5:amd64 libcmis-0.5-5v5:amd64
  libcolamd2.9.1:amd64 libcupsfilters1:amd64 libcupsimage2:amd64
  libdbus-glib-1-2:amd64 libdbusmenu-glib4:amd64 libdbusmenu-gtk3-4:amd64
  libdebian-installer4:amd64 libdee-1.0-4:amd64 libdevmapper-event1.02.1
  libdevmapper-event1.02.1:amd64 libdirectfb-1.2-9:amd64
  libdmraid1.0.0.rc16:amd64 libdv4:amd64 libdvbpsi10:amd64
  libe-book-0.1-1:amd64 libebml4v5:amd64 libecryptfs1:amd64 libefivar0:amd64
  libenchant1c2a:amd64 libeot0:amd64 libevdev2:amd64 libflac++6v5:amd64
  libfm-extra4:amd64 libfm-gtk4:amd64 libfm-modules:amd64 libfm4:amd64
  libfreehand-0.1-1:amd64 libfreerdp-cache1.1:amd64 libfreerdp-client1.1:amd64
  libfreerdp-codec1.1:amd64 libfreerdp-common1.1.0:amd64
  libfreerdp-core1.1:amd64 libfreerdp-crypto1.1:amd64 libfreerdp-gdi1.1:amd64
  libfreerdp-locale1.1:amd64 libfreerdp-primitives1.1:amd64
  libfreerdp-utils1.1:amd64 libfuse2 libgconf-2-4:amd64 libgeoclue0:amd64
  libgif7:amd64 libglade2-0:amd64 libgles1-mesa:amd64 libgles2-mesa:amd64
  libglew1.13:amd64 libglib2.0-bin libgnome-2-0:amd64 libgnome-keyring0:amd64
  libgnomevfs2-0:amd64 libgnomevfs2-common:amd64 libgroupsock8:amd64
  libgtop-2.0-10:amd64 libharfbuzz-icu0:amd64 libhunspell-1.3-0:amd64
  libhyphen0:amd64 libid3tag0:amd64 libiec61883-0:amd64 libijs-0.35:amd64
  libinput10:amd64 libiso9660-8:amd64 libiw30:amd64
  libjavascriptcoregtk-1.0-0:amd64 libksba8:amd64 liblightdm-gobject-1-0
  liblilv-0-0:amd64 liblinearmath2.83.6:amd64 liblircclient0:amd64
  liblivemedia50:amd64 liblua5.2-0:amd64 libluajit-5.1-2:amd64 liblvm2app2.2
  liblvm2app2.2:amd64 liblvm2cmd2.02:amd64 libmatroska6v5:amd64
  libmbim-glib4:amd64 libmbim-proxy:amd64 libmenu-cache-bin:amd64
  libmenu-cache3:amd64 libmhash2:amd64 libmm-glib0:amd64 libmng2:amd64
  libmpcdec6:amd64 libmspub-0.1-1:amd64 libmtdev1:amd64 libmwaw-0.3-3:amd64
  libmysqlclient20:amd64 libmythes-1.2-0:amd64 libndp0:amd64
  libneon27-gnutls:amd64 libnetfilter-conntrack3:amd64 libnfnetlink0:amd64
  libnm-glib4:amd64 libnm-util2:amd64 libnm0:amd64 libnpth0:amd64
  libodfgen-0.1-1:amd64 liborbit-2-0:amd64 liborcus-0.10-0v5:amd64
  libp11-kit-gnome-keyring libpackagekit-glib2-16 libpackagekit-glib2-16:amd64
  libpagemaker-0.0-0:amd64 libpam-gnome-keyring libpaper1:amd64
  libparted-fs-resize0:amd64 libparted0debian1 libparted0debian1:amd64
  libpcre16-3:amd64 libpcsclite1:amd64 libpipeline1:amd64 libplymouth4:amd64
  libpoppler-cpp0:amd64 libpoppler58:amd64 libportsmf0v5:amd64
  libproxy-tools:amd64 libpython3.5:amd64 libqmi-glib1:amd64
  libqmi-proxy:amd64 libqt4-dbus:amd64 libqt4-declarative:amd64
  libqt4-network:amd64 libqt4-script:amd64 libqt4-sql:amd64
  libqt4-sql-mysql:amd64 libqt4-xml:amd64 libqt4-xmlpatterns:amd64
  libqt5core5a:amd64 libqt5dbus5:amd64 libqt5gui5:amd64 libqt5network5:amd64
  libqt5svg5:amd64 libqt5widgets5:amd64 libqt5x11extras5:amd64
  libqtcore4:amd64 libqtdbus4:amd64 libqtgui4:amd64 libraptor2-0:amd64
  librasqal3:amd64 libraw15:amd64 librdf0:amd64 libreadline5:amd64
  libresid-builder0c2a:amd64 librevenge-0.0-0:amd64 libsbsms10:amd64
  libsdl-image1.2:amd64 libsdl1.2debian:amd64 libserd-0-0:amd64 libsgutils2-2
  libshout3:amd64 libsidplay2v5:amd64 libsord-0-0:amd64 libsratom-0-0:amd64
  libssh2-1:amd64 libstartup-notification0:amd64 libsuil-0-0:amd64
  libsuitesparseconfig4.4.6:amd64 libtag1v5:amd64 libtag1v5-vanilla:amd64
  libunistring0:amd64 libupnp6:amd64 libusageenvironment3:amd64
  libva-drm1:amd64 libva-x11-1:amd64 libvamp-hostsdk3v5:amd64
  libvcdinfo0:amd64 libvisio-0.1-1:amd64 libvncclient1:amd64
  libvorbisfile3:amd64 libwacom-bin:amd64 libwacom2:amd64
  libwebkitgtk-1.0-0:amd64 libwinpr-crt0.1:amd64 libwinpr-dsparse0.1:amd64
  libwinpr-environment0.1:amd64 libwinpr-file0.1:amd64
  libwinpr-handle0.1:amd64 libwinpr-heap0.1:amd64 libwinpr-input0.1:amd64
  libwinpr-interlocked0.1:amd64 libwinpr-library0.1:amd64
  libwinpr-path0.1:amd64 libwinpr-pool0.1:amd64 libwinpr-registry0.1:amd64
  libwinpr-rpc0.1:amd64 libwinpr-sspi0.1:amd64 libwinpr-synch0.1:amd64
  libwinpr-sysinfo0.1:amd64 libwinpr-thread0.1:amd64 libwinpr-utils0.1:amd64
  libwpd-0.10-10:amd64 libwpg-0.3-3:amd64 libwps-0.4-4:amd64
  libwxbase3.0-0v5:amd64 libwxgtk3.0-0v5:amd64 libx86-1:amd64
  libxapian22v5:amd64 libxatracker2:amd64 libxcb-composite0:amd64
  libxcb-icccm4:amd64 libxcb-image0:amd64 libxcb-keysyms1:amd64
  libxcb-randr0:amd64 libxcb-render-util0:amd64 libxcb-util1:amd64
  libxcb-xkb1:amd64 libxcb-xv0:amd64 libxkbcommon-x11-0:amd64
  libxkbfile1:amd64 libxklavier16 libxslt1.1:amd64 libxss1:amd64
  libxvmc1:amd64 libyajl2:amd64 libzeitgeist-2.0-0:amd64 lp-solve:amd64
  lvm2:amd64 memtest86+:amd64 menu:amd64 modemmanager:amd64 mokutil:amd64
  mtools:amd64 ntfs-3g openjdk-8-jre:amd64 openjdk-8-jre-headless:amd64
  p11-kit p11-kit-modules pcmanfm:amd64 pinentry-curses:amd64 ppp:amd64
  python-dbus python-gi python3-gdbm qdbus:amd64 qt-at-spi:amd64
  qtchooser:amd64 rdate:amd64 sbsigntool:amd64 squashfs-tools:amd64
  syslinux:amd64 syslinux-utils:amd64 udisks vbetool:amd64 wpasupplicant:amd64
  xclip:amd64
Use 'sudo apt autoremove' to remove them.
The following additional packages will be installed:
  accountsservice acpi aspell base-files base-passwd bash binutils
  bsdmainutils bsdutils busybox-initramfs bzip2 casper cgmanager cifs-utils
  command-not-found-data coreutils cpio cpp cpp-5 cryptsetup-bin curl dash
  dbus dbus-x11 dconf-gsettings-backend dconf-service debianutils
  desktop-file-utils diffstat dmidecode dmsetup dosfstools dpkg e2fslibs
  e2fsprogs edbus efl eject enchant file fontconfig fuse gconf-service
  gconf-service-backend gconf2 gettext gettext-base gir1.2-glib-2.0
  glib-networking-services gnupg gpgv groff-base gstreamer1.0-plugins-base
  gstreamer1.0-plugins-good gstreamer1.0-x gtk2-engines-murrine hdparm
  ifupdown initramfs-tools-bin initscripts insserv iproute2 iptables
  isc-dhcp-client isc-dhcp-common kbd keyutils klibc-utils kmod kpartx
  laptop-detect libaa1 libaccountsservice0 libacl1 libapparmor1 libapt-inst2.0
  libapt-pkg-perl libaspell15 libasprintf-dev libasprintf0v5 libatasmart4
  libatm1 libattr1 libaudit1 libavc1394-0 libblkid1 libbulletcollision2.83.6
  libbulletdynamics2.83.6 libbulletsoftbody2.83.6 libc-bin libcaca0 libcap-ng0
  libcap2 libcap2-bin libcdparanoia0 libcgmanager0 libclone-perl libcroco3
  libcryptsetup4 libcupsfilters1 libcupsimage2 libdata-alias-perl libdconf1
  libdebconfclient0 libdee-1.0-4 libdevmapper-event1.02.1 libdevmapper1.02.1
  libdns-export162 libdv4 libenchant1c2a libfcgi-perl libfdisk1 libflac8
  libfontenc1 libfribidi0 libfuse2 libgck-1-0 libgcr-base-3-1 libgdbm3
  libgeoclue0 libgettextpo-dev libgettextpo0 libgif7 libgirepository-1.0-1
  libgksu2-0 libgl1-mesa-glx libglapi-mesa libglib2.0-bin libgnome-keyring0
  libgomp1 libgpm2 libgs9 libgstreamer-plugins-base1.0-0
  libgstreamer-plugins-good1.0-0 libgstreamer1.0-0 libgtop-2.0-10
  libgudev-1.0-0 libharfbuzz-icu0 libhtml-parser-perl libhunspell-1.3-0
  libice6 libiec61883-0 libijs-0.35 libio-pty-perl libisc-export160 libisl15
  libjack-jackd2-0 libjasper1 libjavascriptcoregtk-1.0-0 libjbig2dec0
  libjson-c2 libklibc libkmod2 liblinearmath2.83.6 liblist-moreutils-perl
  liblocale-gettext-perl libluajit-5.1-2 liblvm2app2.2 libmagic1 libmnl0
  libmount1 libmpc3 libmpdec2 libmpfr4 libncurses5 libncursesw5
  libnet-dns-perl libnet-ssleay-perl libnewt0.52 libnfnetlink0 libnih-dbus1
  libnih1 libogg0 libopus0 liborc-0.4-0 libpam-cap libpam-modules
  libpam-modules-bin libpam-systemd libpam0g libpaper-utils libpaper1
  libparted0debian1 libpcsclite1 libperl5.22 libpipeline1 libplymouth4
  libpolkit-agent-1-0 libpolkit-backend-1-0 libpolkit-gobject-1-0
  libpoppler-cpp0 libpoppler58 libpopt0 libprocps4 libpython-stdlib
  libpython2.7-minimal libpython2.7-stdlib libpython3-stdlib
  libpython3.5-minimal libpython3.5-stdlib libraw1394-11 libraw15 libreadline6
  librsvg2-2 librsvg2-common libsamplerate0 libseccomp2 libsecret-1-0
  libsemanage1 libsepol1 libsgutils2-2 libshout3 libslang2 libsm6
  libsmartcols1 libsocket6-perl libspectre1 libspeex1 libss2
  libstartup-notification0 libsub-name-perl libtag1v5 libtag1v5-vanilla
  libtalloc2 libtext-charwidth-perl libtext-iconv-perl libtheora0
  libunistring0 libusb-0.1-4 libustr-1.0-1 libuuid1 libv4l-0 libv4lconvert0
  libvisual-0.4-0 libvorbis0a libvorbisenc2 libvpx3 libwavpack1 libwbclient0
  libwebkitgtk-1.0-0 libwebp5 libxapian22v5 libxaw7 libxcb-glx0 libxcb-util1
  libxfont1 libxkbfile1 libxml-parser-perl libxmu6 libxmuu1 libxpm4 libxslt1.1
  libxt6 libxtables11 libxv1 libxxf86vm1 libyaml-libyaml-perl
  libzeitgeist-2.0-0 make man-db mawk midori moksha mount mountall
  multiarch-support ntfs-3g openjdk-8-jre-headless openssl passwd patch
  patchutils perl perl-base plymouth plymouth-theme-ubuntu-text policykit-1
  procps psmisc python python-apt python-cairo python-dbus python-efl
  python-gi python-gobject-2 python-gtk2 python-minimal python-pam python2.7
  python2.7-minimal python3 python3-dbus python3-gdbm python3-gi
  python3-minimal python3.5 python3.5-minimal sed shared-mime-info sudo
  systemd systemd-shim sysvinit-utils t1utils tar udev udisks uno-libs3
  update-motd upstart ure util-linux uuid-runtime whiptail x11-xkb-utils
  x11-xserver-utils xauth xfonts-utils xz-utils zeitgeist-core
Suggested packages:
  gnome-control-center aspell-doc spellutils bash-doc binutils-doc whois
  vacation bzip2-doc smbclient winbind libarchive1 cpp-doc gcc-5-locales gpart
  parted e2fsck-static cdtool setcd gconf-defaults-service gettext-doc
  autopoint gnupg-curl gnupg-doc parcimonie xloadimage | imagemagick | eog
  groff gvfs murrine-themes apmd ppp rdnssd bootchart2 iproute2-doc
  avahi-autoipd isc-dhcp-client-ddns apparmor libdv-bin oss-compat
  libenchant-voikko geoclue gnome-keyring gpm libvisual-0.4-plugins
  gstreamer1.0-tools libdata-dump-perl jackd2 libjasper-runtime opus-tools
  libpam-doc parted | nparted libparted0-dev libparted0-i18n pcscd
  libraw1394-doc librsvg2-bin sg3-utils libspectre1-dbg speex xapian-tools
  make-doc less nfs-common openjdk-8-jre-jamvm libnss-mdns
  fonts-ipafont-gothic fonts-ipafont-mincho ttf-wqy-microhei | ttf-wqy-zenhei
  fonts-indic ed diffutils-doc perl-doc libterm-readline-gnu-perl
  | libterm-readline-perl-perl plymouth-themes python-doc python-tk
  python-apt-dbg python-apt-doc python-dbus-doc python-dbus-dbg
  python-gi-cairo python-gobject-2-dbg python-gtk2-doc python-pam-dbg
  python2.7-doc binfmt-support python3-doc python3-tk python3-venv
  python3-dbus-dbg python3-gdbm-dbg python3.5-venv python3.5-doc systemd-ui
  systemd-container bootlogd sash ncompress tar-scripts xfsprogs reiserfsprogs
  mdadm graphviz upstart-monitor java5-runtime util-linux-locales nickle
  cairo-5c xorg-docs-core zeitgeist-datahub
Recommended packages:
  gnome-icon-theme gnome-keyring
The following packages will be REMOVED
  accountsservice:amd64 acpi:amd64 adwaita-icon-theme adwaita-icon-theme-full
  apparmor:amd64 apt-clone arc-theme aspell:amd64 audacity:amd64
  base-files:amd64 base-passwd:amd64 bash:amd64 binutils:amd64 bodhi-desktop
  bodhi-lightdm-theme bodhi-theme-moksha-arc-dark bsdmainutils:amd64
  bsdutils:amd64 busybox-initramfs:amd64 bzip2:amd64 casper:amd64
  cifs-utils:amd64 colord:amd64 command-not-found command-not-found-data:amd64
  coreutils:amd64 cpio:amd64 cpp:amd64 cpp-5:amd64 cryptsetup:amd64
  cryptsetup-bin:amd64 dash:amd64 dbus:amd64 dbus-x11:amd64
  dconf-service:amd64 debianutils:amd64 desktop-file-utils:amd64
  diffstat:amd64 discover:amd64 dmidecode:amd64 dmraid:amd64 dmsetup:amd64
  dosfstools:amd64 dpkg:amd64 dropbox:amd64 e2fsprogs:amd64 edbus:amd64
  efl:amd64 eject:amd64 enchant:amd64 ephoto:amd64 file:amd64
  flashplugin-installer:amd64 fontconfig:amd64 fuse:amd64 gconf-service:amd64
  gconf-service-backend:amd64 gconf2:amd64 gcr:amd64 gdebi gdebi-core
  gettext:amd64 gettext-base:amd64 gir1.2-appindicator3-0.1:amd64
  gir1.2-atk-1.0:amd64 gir1.2-gtk-3.0:amd64 gir1.2-timezonemap-1.0:amd64
  gir1.2-vte-2.91:amd64 gir1.2-webkit2-4.0:amd64 gir1.2-xkl-1.0:amd64
  glib-networking-services:amd64 gnome-icon-theme gnome-icon-theme-symbolic
  gnome-keyring:amd64 gnome-themes-standard:amd64 gnome-themes-standard-data
  gnupg:amd64 gpgv:amd64 groff-base:amd64 gstreamer1.0-plugins-bad:amd64
  gvfs-backends:amd64 gvfs-fuse:amd64 hdparm:amd64 ifupdown:amd64
  indicator-application:amd64 initramfs-tools-bin:amd64 initscripts:amd64
  insserv:amd64 iproute2:amd64 iptables:amd64 isc-dhcp-client:amd64
  isc-dhcp-common:amd64 kbd:amd64 keyutils:amd64 klibc-utils:amd64 kmod:amd64
  kpartx:amd64 language-selector-common laptop-detect:amd64
  libapparmor-perl:amd64 libappindicator3-1:amd64 libapt-pkg-perl:amd64
  libc-bin:amd64 libcairo-perl:amd64 libcanberra-gtk3-0:amd64
  libcanberra-gtk3-module:amd64 libcap2-bin:amd64 libclone-perl:amd64
  libdata-alias-perl:amd64 libdiscover2:amd64 libdns-export162:amd64
  libetonyek-0.1-1:amd64 libexttextcat-2.0-0:amd64 libfcgi-perl:amd64
  libfile-fcntllock-perl:amd64 libgcr-ui-3-1:amd64 libgksu2-0:amd64
  libglib-perl:amd64 libglib2.0-bin:amd64 libgs9:amd64 libgtk-3-0
  libgtk-3-0:amd64 libgtk-3-bin:amd64 libgtk-3-common libgtk2-perl:amd64
  libhtml-parser-perl:amd64 libido3-0.1-0:amd64 libindicator3-7:amd64
  libio-pty-perl:amd64 libisc-export160:amd64 libjbig2dec0:amd64
  libklibc:amd64 liblangtag1:amd64 liblightdm-gobject-1-0:amd64
  liblist-moreutils-perl:amd64 liblocale-gettext-perl:amd64
  libmetacity-private3a:amd64 libnet-dbus-perl:amd64 libnet-dns-perl:amd64
  libnet-libidn-perl:amd64 libnet-ssleay-perl:amd64 libnma0:amd64
  libpam-modules-bin:amd64 libpango-perl:amd64 libpaper-utils:amd64
  libperlio-gzip-perl:amd64 libreoffice:amd64
  libreoffice-avmedia-backend-gstreamer:amd64 libreoffice-base:amd64
  libreoffice-base-core:amd64 libreoffice-base-drivers:amd64
  libreoffice-calc:amd64 libreoffice-core:amd64 libreoffice-draw:amd64
  libreoffice-gnome:amd64 libreoffice-gtk:amd64 libreoffice-impress:amd64
  libreoffice-math:amd64 libreoffice-pdfimport:amd64
  libreoffice-report-builder-bin:amd64 libreoffice-sdbc-firebird:amd64
  libreoffice-sdbc-hsqldb:amd64 libreoffice-writer:amd64 libsgutils2-2:amd64
  libsmbclient:amd64 libsocket6-perl:amd64 libspectre1:amd64
  libsub-name-perl:amd64 libtext-charwidth-perl:amd64 libtext-iconv-perl:amd64
  libtimezonemap1:amd64 libvlc5:amd64 libvlccore8:amd64 libvte-2.91-0:amd64
  libvte9:amd64 libwebkit2gtk-4.0-37:amd64 libwebkit2gtk-4.0-37-gtk2:amd64
  libxklavier16:amd64 libxml-parser-perl:amd64 libyaml-libyaml-perl:amd64
  lightdm:amd64 lightdm-gtk-greeter:amd64 make:amd64 man-db:amd64 mawk:amd64
  metacity:amd64 midori:amd64 moksha:amd64 moksha-clipboard:amd64
  moksha-pulsemixer:amd64 mount:amd64 multiarch-support:amd64
  network-manager:amd64 network-manager-gnome:amd64 network-manager-pptp:amd64
  notification-daemon ntfs-3g:amd64 openssl:amd64 p11-kit:amd64
  packagekit:amd64 packagekit-backend-aptcc:amd64 packagekit-tools:amd64
  passwd:amd64 patch:amd64 patchutils:amd64 perl:amd64 perl-base:amd64
  pinentry-gnome3:amd64 places-moksha:amd64 plymouth:amd64
  plymouth-label:amd64 plymouth-theme-ubuntu-text:amd64 plymouth-themes:amd64
  plymouth-x11:amd64 policykit-1:amd64 policykit-1-gnome:amd64
  pptp-linux:amd64 procps:amd64 psmisc:amd64 python:amd64 python-apt:amd64
  python-cairo:amd64 python-crypto:amd64 python-dbus:amd64 python-efl:amd64
  python-gi:amd64 python-glade2:amd64 python-gobject-2:amd64 python-gtk2:amd64
  python-ldb:amd64 python-minimal:amd64 python-pam:amd64 python-samba:amd64
  python-talloc:amd64 python-tdb:amd64 python-vte:amd64 python2.7:amd64
  python2.7-minimal:amd64 python3:amd64 python3-apt:amd64 python3-cairo:amd64
  python3-commandnotfound python3-dbus:amd64 python3-distupgrade
  python3-gdbm:amd64 python3-gi:amd64 python3-gi-cairo:amd64 python3-icu:amd64
  python3-minimal:amd64 python3-pam:amd64 python3-uno:amd64
  python3-update-manager python3.5:amd64 python3.5-minimal:amd64
  samba-common-bin:amd64 samba-libs:amd64 sed:amd64 shared-mime-info:amd64
  sudo:amd64 systemd:amd64 sysvinit-utils:amd64 t1utils:amd64 tar:amd64
  terminology:amd64 ubuntu-drivers-common:amd64 ubuntu-release-upgrader-core
  udev:amd64 udisks:amd64 uno-libs3:amd64 update-manager-core
  update-notifier-common ure:amd64 usb-modeswitch:amd64 util-linux:amd64
  uuid-runtime:amd64 virtualbox-guest-x11:amd64 vlc:amd64 vlc-nox:amd64
  vlc-plugin-notify:amd64 vlc-plugin-samba:amd64 whiptail:amd64
  x11-xkb-utils:amd64 x11-xserver-utils:amd64 xauth:amd64 xfonts-utils:amd64
  xserver-xorg:amd64 xserver-xorg-core:amd64 xserver-xorg-input-all:amd64
  xserver-xorg-input-evdev:amd64 xserver-xorg-input-synaptics:amd64
  xserver-xorg-input-vmmouse:amd64 xserver-xorg-input-wacom:amd64
  xserver-xorg-video-all:amd64 xserver-xorg-video-amdgpu:amd64
  xserver-xorg-video-ati:amd64 xserver-xorg-video-fbdev:amd64
  xserver-xorg-video-intel:amd64 xserver-xorg-video-nouveau:amd64
  xserver-xorg-video-qxl:amd64 xserver-xorg-video-radeon:amd64
  xserver-xorg-video-vesa:amd64 xserver-xorg-video-vmware:amd64 xz-utils:amd64
  zeitgeist-core:amd64 zenity:amd64
The following NEW packages will be installed
  accountsservice acpi aspell base-files base-passwd bash binutils
  bsdmainutils bsdutils busybox-initramfs bzip2 casper cgmanager cifs-utils
  command-not-found-data coreutils cpio cpp cpp-5 cryptsetup-bin curl dash
  dbus dbus-x11 dconf-gsettings-backend dconf-service debianutils
  desktop-file-utils diffstat dmidecode dmsetup dosfstools dpkg e2fslibs
  e2fsprogs edbus efl eject enchant file fontconfig fuse gconf-service
  gconf-service-backend gconf2 gettext gettext-base gir1.2-glib-2.0
  glib-networking-services gnupg gpgv groff-base gstreamer1.0-plugins-base
  gstreamer1.0-plugins-good gstreamer1.0-x gtk2-engines-murrine hdparm
  ifupdown initramfs-tools-bin initscripts insserv iproute2 iptables
  isc-dhcp-client isc-dhcp-common kbd keyutils klibc-utils kmod kpartx
  laptop-detect libaa1 libaccountsservice0 libacl1 libapparmor1 libapt-inst2.0
  libapt-pkg-perl libaspell15 libasprintf-dev libasprintf0v5 libatasmart4
  libatm1 libattr1 libaudit1 libavc1394-0 libblkid1 libbulletcollision2.83.6
  libbulletdynamics2.83.6 libbulletsoftbody2.83.6 libc-bin libcaca0 libcap-ng0
  libcap2 libcap2-bin libcdparanoia0 libcgmanager0 libclone-perl libcroco3
  libcryptsetup4 libcupsfilters1 libcupsimage2 libdata-alias-perl libdconf1
  libdebconfclient0 libdee-1.0-4 libdevmapper-event1.02.1 libdevmapper1.02.1
  libdns-export162 libdv4 libenchant1c2a libfcgi-perl libfdisk1 libflac8
  libfontenc1 libfribidi0 libfuse2 libgck-1-0 libgcr-base-3-1 libgdbm3
  libgeoclue0 libgettextpo-dev libgettextpo0 libgif7 libgirepository-1.0-1
  libgksu2-0 libgl1-mesa-glx libglapi-mesa libglib2.0-bin libgnome-keyring0
  libgomp1 libgpm2 libgs9 libgstreamer-plugins-base1.0-0
  libgstreamer-plugins-good1.0-0 libgstreamer1.0-0 libgtop-2.0-10
  libgudev-1.0-0 libharfbuzz-icu0 libhtml-parser-perl libhunspell-1.3-0
  libice6 libiec61883-0 libijs-0.35 libio-pty-perl libisc-export160 libisl15
  libjack-jackd2-0 libjasper1 libjavascriptcoregtk-1.0-0 libjbig2dec0
  libjson-c2 libklibc libkmod2 liblinearmath2.83.6 liblist-moreutils-perl
  liblocale-gettext-perl libluajit-5.1-2 liblvm2app2.2 libmagic1 libmnl0
  libmount1 libmpc3 libmpdec2 libmpfr4 libncurses5 libncursesw5
  libnet-dns-perl libnet-ssleay-perl libnewt0.52 libnfnetlink0 libnih-dbus1
  libnih1 libogg0 libopus0 liborc-0.4-0 libpam-cap libpam-modules
  libpam-modules-bin libpam-systemd libpam0g libpaper-utils libpaper1
  libparted0debian1 libpcsclite1 libperl5.22 libpipeline1 libplymouth4
  libpolkit-agent-1-0 libpolkit-backend-1-0 libpolkit-gobject-1-0
  libpoppler-cpp0 libpoppler58 libpopt0 libprocps4 libpython-stdlib
  libpython2.7-minimal libpython2.7-stdlib libpython3-stdlib
  libpython3.5-minimal libpython3.5-stdlib libraw1394-11 libraw15 libreadline6
  librsvg2-2 librsvg2-common libsamplerate0 libseccomp2 libsecret-1-0
  libsemanage1 libsepol1 libsgutils2-2 libshout3 libslang2 libsm6
  libsmartcols1 libsocket6-perl libspectre1 libspeex1 libss2
  libstartup-notification0 libsub-name-perl libtag1v5 libtag1v5-vanilla
  libtalloc2 libtext-charwidth-perl libtext-iconv-perl libtheora0
  libunistring0 libusb-0.1-4 libustr-1.0-1 libuuid1 libv4l-0 libv4lconvert0
  libvisual-0.4-0 libvorbis0a libvorbisenc2 libvpx3 libwavpack1 libwbclient0
  libwebkitgtk-1.0-0 libwebp5 libxapian22v5 libxaw7 libxcb-glx0 libxcb-util1
  libxfont1 libxkbfile1 libxml-parser-perl libxmu6 libxmuu1 libxpm4 libxslt1.1
  libxt6 libxtables11 libxv1 libxxf86vm1 libyaml-libyaml-perl
  libzeitgeist-2.0-0 make man-db mawk midori moksha mount mountall
  multiarch-support ntfs-3g openjdk-8-jre-headless openssl passwd patch
  patchutils perl perl-base plymouth plymouth-theme-ubuntu-text policykit-1
  procps psmisc python python-apt python-cairo python-dbus python-efl
  python-gi python-gobject-2 python-gtk2 python-minimal python-pam python2.7
  python2.7-minimal python3 python3-dbus python3-gdbm python3-gi
  python3-minimal python3.5 python3.5-minimal sed shared-mime-info sudo
  systemd systemd-shim sysvinit-utils t1utils tar udev udisks uno-libs3
  update-motd upstart ure util-linux uuid-runtime whiptail x11-xkb-utils
  x11-xserver-utils xauth xfonts-utils xz-utils zeitgeist-core
WARNING: The following essential packages will be removed.
This should NOT be done unless you know exactly what you are doing!
  base-files:amd64 mawk:amd64 (due to base-files:amd64) base-passwd:amd64
  bash:amd64 dash:amd64 (due to bash:amd64)
  debianutils:amd64 (due to bash:amd64) bsdutils:amd64 coreutils:amd64
  dpkg:amd64 (due to dash:amd64) tar:amd64 (due to dpkg:amd64) e2fsprogs:amd64
  util-linux:amd64 (due to e2fsprogs:amd64) libc-bin:amd64 mount:amd64
  perl-base:amd64 sed:amd64 sysvinit-utils:amd64 (due to util-linux:amd64)
0 to upgrade, 321 to newly install, 305 to remove and 2 not to upgrade.
Need to get 140 MB of archives.
After this operation, 252 MB disk space will be freed.
You are about to do something potentially harmful
To continue type in the phrase ‘Yes, do as I say!’
 ?]
 


#7 Oblio

Oblio

    Bodhi Team

  • Team
  • 165 posts
  • LocationA desk in the Midwest

Posted 10 March 2017 - 07:20 PM

That's crazy!  It basically said that Linux is no longer needed!  I cannot say I have come across that!


Xeon E3-1220 v3 3.1GHz Quad, ASRock Rack E3C224, 2x 8GB Kingston KVR16E11/8I DDR3-1600 ECC CL11 Intel Chips (Dual Channel), EVGA GeForce GTX 570, Samsung SM863 120GB OS SSD, 2x WD RED 3TB HDDs (Raid 0), Focusrite Scarlett 2i4, Antec Earthwatts EA-750 80 Plus Platinum 750w PSU - Bodhi 4.1.0 64

AMD Phenom II X4 940 3.0GHz Quad, Gigabyte GA-MA78GPM-DS2H, 2x 2GB Kingston KHX8500D2K2 DDR2-1066 (Dual Channel), EVGA GeForce GTX 570, Intel 30GB OS SDD, Seagate ST31000340AS 1TB HDD, Seagate STBD4000400 4TB HDD, EVGA 500w Bronze Plus 80+ PSU - Bodhi Linux 3.2.1 64


#8 Jeff

Jeff

    Lead Developer

  • Developer
  • 12402 posts
  • LocationBloomington, IL

Posted 10 March 2017 - 07:23 PM

One of the third party packages you've installed seems to have throughly foobar'd your system.



#9 Charles@Bodhi

Charles@Bodhi

    Old Faithful

  • Moderators
  • 4437 posts
  • LocationZeist, The Netherlands

Posted 10 March 2017 - 08:16 PM

I noticed that 64bit packages are all going to be removed and replaced with 32bit packages. Were you messing with the kernel packages?

 

You can check your kernel version and architecture by the following command:

uname -a

Post the outcome here in case you are unsure about that.

If you accidentally have a 32bit kernel now you should roll back to a previous kernel that should be still available in the grub boot screen. If you don't see that screen at boot time you should hold the shift key during boot so it appears and shows possible boot options.

 

Good luck with this, but I fear you will end up with a reinstall after all.

 

Enjoy,

Charles


Medion S4216 Ultrabook, 4GB RAM, 1TB HDD, WIN 10 & Bodhi 4.1.0-64 

Asus eeepc 901, 1GB RAM, 12 GB SSD, Bodhi 3.0.0-32-Legacy & Bodhi 4.1.0-32 Legacy


#10 banjoman

banjoman

    Member

  • Members
  • 12 posts

Posted 10 March 2017 - 08:46 PM

I haven't (intentionally) been messing with the kernel. uname -a produces

 

 

laptop-bodhi64@laptopbodhi64-Satellite-Pro-L450:~$ uname -a

Linux laptopbodhi64-Satellite-Pro-L450 4.8.0-34-generic #36~16.04.1-Ubuntu SMP Wed Dec 21 18:55:08 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux
 

 

this is where my knowledge falls off the cliff!! I am basically a GUI user and have no idea what this means. I will try rolling back (not done that before), but if I have to re-install that's not a big deal. I am just trying to reinvigorate an older laptop. I have 2 more - on one I have successfully installed Printer support, then my Canon linux printer and scanner drivers, it all works fine. I will install other programs more cautiously from now on......



#11 Charles@Bodhi

Charles@Bodhi

    Old Faithful

  • Moderators
  • 4437 posts
  • LocationZeist, The Netherlands

Posted 10 March 2017 - 09:39 PM

Hmm, x86_64 means a 64bit kernel, so I see no obvious reason why the 64bit packages need to be replaced.

 

Not knowing what exactly you installed and where the packages came from I can only guess and that won't help you.

 

I would advice to first stick with stuff you can get from the appcenter. Second install synaptic package available from there. Third, use the search function in synaptic to find packages/applications you want to have and that are not available on the appcenter. That way you will be sure they fit within Bodhi/Ubuntu without braking something else. Unless you feel very adventurous off course, it's fully up to you.   :rolleyes:

 

Enjoy,

Charles


Medion S4216 Ultrabook, 4GB RAM, 1TB HDD, WIN 10 & Bodhi 4.1.0-64 

Asus eeepc 901, 1GB RAM, 12 GB SSD, Bodhi 3.0.0-32-Legacy & Bodhi 4.1.0-32 Legacy


#12 banjoman

banjoman

    Member

  • Members
  • 12 posts

Posted 10 March 2017 - 09:50 PM

No roll back option in Grub. Removed Dropbox and Opera, but that made no difference, so am reinstalling. It's a learning curve. Thanks for the advice, I will proceed with more caution...... 



#13 Jeff

Jeff

    Lead Developer

  • Developer
  • 12402 posts
  • LocationBloomington, IL

Posted 11 March 2017 - 06:26 AM

Dropbox should be fairly safe from conflicts - I use it on my personal systems.

 

We had another user comment on Discord that opera royally messed up their system though.






0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users